## sysstat 9.0.6.1

=== debian/changelog ===
sysstat (9.0.6.1-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format:
    + split *.diff.gz into patches 00 to 06;
    + omit some debugging cruft that was included in *.diff.gz by accident.
  * 07-remove_fdatasync.patch: remove calls to fdatasync (closes: 559686).

 -- Robert Luberda <robert@debian.org>  Tue, 23 Mar 2010 22:21:52 +0100

sysstat (9.0.6.1-1) unstable; urgency=low

  * New upstream release.
  * sysstat.initd: add $remote_fs dependency (linitan).
  * Remove asterisks from sysstat.NEWS (lintian).
  * copyright: refer to non-symlinked GPL files (lintian). 
  * Standards-Version: 3.8.4 (no changes).
  * Ignore erros from `update-alternatives --display' (closes: #563570).

 -- Robert Luberda <robert@debian.org>  Thu, 11 Mar 2010 15:37:21 +0100

sysstat (9.0.6-2) unstable; urgency=low

  * Remove both stop link from rc1.d, and the lintian override 
    (closes: #562660).
  * Fix spelling typo in isag(1).

 -- Robert Luberda <robert@debian.org>  Sun, 03 Jan 2010 15:00:37 +0100

sysstat (9.0.6-1) unstable; urgency=low

  * New upstream release:
    + sadf improved (closes: #546259).
  * Install a new sargraph script into examples.

 -- Robert Luberda <robert@debian.org>  Sat, 21 Nov 2009 21:34:09 +0100

sysstat (9.0.5-1) unstable; urgency=low

  * New upstream release.
  * Add an override for `init.d-script-possible-missing-stop' lintian's 
    warning.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Sep 2009 09:04:11 +0200

sysstat (9.0.4-1) unstable; urgency=low

  * New upstream release
    + memory corruption bug fixed by upstream (closes: #507659).
  * Standards-Version: 3.8.3.
  * Remove deprecated dh_desktop call from debian/rules.

 -- Robert Luberda <robert@debian.org>  Tue, 18 Aug 2009 06:29:03 +0200

sysstat (9.0.3-2) unstable; urgency=low

  * Remove some debugging cruft left by accident.

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 21:37:20 +0200

sysstat (9.0.3-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.8.1 (no changes)
  * Update Brazilian Portuguese debconf translation (closes: #519253).
  * Support status action in init.d script (closes: #526051).
  * Mention cron.daily's job in README.Debian (closes: #524219).

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 09:38:31 +0200

sysstat (9.0.1-1) unstable; urgency=low

  * New upstream release:
    + sar man page now mentions dependencies on sadc options (closes: #518438).
  * Makefile.in: don't update sysstat.pot in clean. 

 -- Robert Luberda <robert@debian.org>  Sun, 08 Mar 2009 19:01:43 +0100

sysstat (9.0.0-1) unstable; urgency=low

  * New upstream release.
  * sa_common.c: fixed double-free.
  * Fixed typo in Polish translation of debconf templates.
  * Makefile.in: don't automatically update sysstat.pot file.

 -- Robert Luberda <robert@debian.org>  Sat, 07 Mar 2009 23:11:46 +0100

sysstat (8.1.8-2) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #513671
  * Debconf translation updates:
    - Galician. Closes: #514162
    - Swedish. Closes: #514174
    - Basque. Closes: #514178
    - Vietnamese. Closes: #514308
    - Slovak. Closes: #514383
    - Czech. Closes: #514440
    - Japanese. Closes: #514507
    - Catalan. Closes: #514638
    - Russian. Closes: #514895
    - Italian. Closes: #515169
    - German. Closes: #515680
    - Spanish. Closes: #515723
    - Portuguese. Closes: #516021
    - French. Closes: #516077
    - Finnish. Closes: #516334

  [ Robert Luberda ]
  * Applied Christian's patch from bug#513671. Many thanks to him, and all
    the people who worked on improving the debconf templates.
  * Updated Polish debconf translations.
  * debian/copyright: sysstat is distributed under the terms of GPL ver. 2
    *or later* (fixes lintian's `copyright-refers-to-versionless-license...').

 -- Robert Luberda <robert@debian.org>  Sun, 22 Feb 2009 20:25:20 +0100

sysstat (8.1.8-1) unstable; urgency=low

  * New upstream release.
  * Add debian-sa1 script and ran it from cron.d job (closes: #499461). 
  * If sar cannot open a data file, print a message indicating that sysstat
    might not be enabled (closes: #511418).
  * Remove stop links from rc0 and rc6 run levels (cf. #495545).
  * Remove the "sysstat not enabled" warning from out init script (closes:
    #507493).
  * Switch to v7 debhelper's compat level, use dh_prep instead of `dh_clean -k'.

 -- Robert Luberda <robert@debian.org>  Mon, 19 Jan 2009 23:01:18 +0100

sysstat (8.1.7-1) unstable; urgency=low

  * New upstream release.

 -- Robert Luberda <robert@debian.org>  Thu, 13 Nov 2008 19:46:29 +0100

sysstat (8.1.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Nov 2008 09:11:06 +0100

sysstat (8.1.6-1) experimental; urgency=low

  * New upstream release:
    + Daily data files format has changed again.
    + NFS v4 support added to sar -n (closes: #434442);
    + All sysstat commands are made consistent with how parameters are 
      interpreted: "COMMAND <interval>" now generates a report continuously, 
      "COMMAND <interval> 0" causes an error, "COMMAND 0" displays a report 
      since system startup (closes: #475707);
   + Option -S added to sadc, which replaces previous options -I or -d. Existing
     defaults file should be updated.
  * Standards-Version: 3.8.0 (no changes).
  * Merge the following change from Ubuntu:
    - remove call to execvp() as it's not needed and has potential
      security problems.
  * 

 -- Robert Luberda <robert@debian.org>  Sat, 01 Nov 2008 10:36:17 +0100

sysstat (8.1.2-2) unstable; urgency=low

  * Initial Finnish translations of debconf templates (closes: #472620).
  * Update isag dependency from `tk8.3|wish' to `tk8.5|wish'
  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Apr 2008 17:59:13 +0200


