## sysstat 9.1.7

=== debian/changelog ===
sysstat (9.1.7-2ubuntu1) natty; urgency=low

  * debian/patches/cflags-ordering.patch: Re-arrange CFLAGS in 
    ./Makefile.in to resolve FTBFS. (LP: #716043)
  * debian/control: Updated maintainer, as per policy.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 09 Feb 2011 17:10:56 +0000

sysstat (9.1.7-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    + call dpkg-buildflags for initial values of CFLAGS & LDFLAGS;
    + use dh_auto_{configure,install,clean} debhelper commands;
    + provide build-arch and build-indep targets.
  * Updated 00-Makefile.patch to make it possible to install isag only.
  * 09-format-warning.patch: Fix a warning given by gcc -Wformat.

 -- Robert Luberda <robert@debian.org>  Mon, 07 Feb 2011 20:57:05 +0100

sysstat (9.1.7-1) experimental; urgency=low

  * New upstream development release.
  * Format of data files has changed again (BTW. the debconf message
    was already fixed in 8.1.8-2, (LP: #342655)).
  * Refresh patches. Also rename 05-scripts.patch to 08-scripts.patch.

 -- Robert Luberda <robert@debian.org>  Wed, 19 Jan 2011 22:07:33 +0100

sysstat (9.1.5-1) experimental; urgency=low

  * New upstream development release.
  * Standards-Version: 3.9.1 (no changes).
  * Bump debhpelper's compat level to 8.
  * Remove conflict with ancient version of atsar.
  * Add libsensors-dev4 to build-depends.

 -- Robert Luberda <robert@debian.org>  Sun, 12 Sep 2010 16:18:47 +0200
