=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: sysstat
 Section: admin
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 7), gettext
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
+Build-Depends: debhelper (>= 8), gettext, libsensors4-dev
+Standards-Version: 3.9.1
 
 Package: sysstat
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 2.003), lsb-base (>= 3.0-6), bzip2
 Recommends: cron
 Suggests: isag
-Conflicts: atsar (<< 1.5-3)
 Description: system performance tools for Linux
  The sysstat package contains the following system performance tools:
   - sar: collects and reports system activity information;
