## sysstat 10.0.1

=== debian/changelog ===
sysstat (10.0.1-1) unstable; urgency=low

  * New upstream (stable) release.
  * Add Danish translation of debconf templates (closes: #621367).
  * Standards-Version: 3.9.2 (no changes).
  * sysstat.{postinst,postrm}: register the ucf-managed file with ucfr.
  * Sort dependency fields with wrap-and-sort command.

 -- Robert Luberda <robert@debian.org>  Wed, 15 Jun 2011 07:27:46 +0200

sysstat (10.0.0-1) unstable; urgency=low

  * New upstream (stable) release:
    + Don't link sysstat's commands with sensors library if not
      needed (closes: #612571).
    + [Adam Heath]: iostat incorrectly mapped device-mapper IDs
      greater than 256. This is now fixed (closes: #614397).
  * debian/rules: switch to using dh command.
  * Remove 07-remove_fdatasync.patch, no longer needed. 

 -- Robert Luberda <robert@debian.org>  Wed, 23 Mar 2011 13:26:07 +0100
