## sysstat 10.0.2

=== debian/changelog ===
sysstat (10.0.2-2) unstable; urgency=low

  * Update Dutch translation of debconf templates (closes: #643308).

 -- Robert Luberda <robert@debian.org>  Sun, 16 Oct 2011 23:24:15 +0200

sysstat (10.0.2-1) unstable; urgency=low

  * New upstream (stable) release.
  * debian/control: Set architecture to linux-any (closes: #619949).
  * The debconf message has already been ixed in 8.1.8-2, (LP: #342655).

 -- Robert Luberda <robert@debian.org>  Sun, 28 Aug 2011 19:50:36 +0200
