=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 8.9.8), gettext, libsensors4-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), gettext, libsensors4-dev
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/users/robert/sysstat.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/sysstat.git
 
@@ -22,7 +22,9 @@
   - iostat: reports CPU utilization and disk I/O statistics;
   - mpstat: reports global and per-processor statistics;
   - pidstat: reports statistics for Linux tasks (processes);
-  - sadf: displays data collected by sar in various formats.
+  - sadf: displays data collected by sar in various formats;
+  - nfsiostat: reports I/O statistics for network filesystems;
+  - cifsiostat: reports I/O statistics for CIFS filesystems.
  .
  The statistics reported by sar deal with I/O transfer rates,
  paging activity, process-related activities, interrupts,
