## sysstat 10.1.6

=== debian/changelog ===
sysstat (10.1.6-2) unstable; urgency=low

  [ Louis Bouchard ]
  * New 11-fix-concurrency-build-issue.patch: Extend explicit rules 
    to avoid build issues occurring during parallel build (closes: #714153).

 -- Robert Luberda <robert@debian.org>  Thu, 01 Aug 2013 08:41:15 +0200

sysstat (10.1.6-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Thu, 13 Jun 2013 22:27:39 +0200

sysstat (10.1.5-2) unstable; urgency=low

  * Upload to unstable.
  * New 10-isag-menu-refresh.patch: Add Refresh button to file menu to make
    it possible to re-read contents of /var/log/sysstat directory in case
    isag is running over midnight, and new file is created (LP: #924197).
    Please note that (depending on /etc/sysstat/sysstat settings) the new file
    created just after midnight can be replaced with a symbolic link, so it
    might be necessary to use the Refresh button again in such cases.
  * Standards-Version: 3.9.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Fri, 10 May 2013 10:34:59 +0200

sysstat (10.1.5-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Sun, 07 Apr 2013 12:36:24 +0200

sysstat (10.1.4-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Sun, 24 Mar 2013 11:05:44 +0100
