## sysstat 10.2.0

=== debian/changelog ===
sysstat (10.2.0-1) unstable; urgency=low

  * New upstream stable version.
  * debian/control:
    + replace `tk8.5' with `tk' in isag depends line (closes: #725696);
    + move `Homepage' to source package fields (lintian);
    + bump Standards-Version to 3.9.5.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Nov 2013 10:25:19 +0100

sysstat (10.1.7-1) unstable; urgency=low

  * New upstream version.
  * Remove no longer needed 11-fix-concurrency-build-issue.patch.

 -- Robert Luberda <robert@debian.org>  Sat, 21 Sep 2013 22:27:45 +0200
