=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper (>= 9), gettext, libsensors4-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
+Homepage: http://pagesperso-orange.fr/sebastien.godard/
 Vcs-Git: git://anonscm.debian.org/users/robert/sysstat.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/sysstat.git
 
@@ -31,17 +32,15 @@
  network activity, memory and swap space utilization, CPU
  utilization, kernel activities and TTY statistics, among
  others. Both UP and SMP machines are fully supported.
-Homepage: http://pagesperso-orange.fr/sebastien.godard/
 
 Package: isag
 Architecture: all
 Depends: gnuplot-x11,
          sysstat (>= ${source:Version}),
-         tk8.5|wish,
+         tk|wish,
          ${misc:Depends}
 Suggests: rcs
 Description: Interactive System Activity Grapher for sysstat
  This package provides the command isag, which graphically displays the
  system activity data stored in the binary logs produced by sar (in the
  package sysstat).
-Homepage: http://pagesperso-orange.fr/sebastien.godard/
